EZCart Docs
Api

Store Categories_get Category By Slug

Get a single category by its URL slug. Useful for storefront routing where URLs use slugs instead of IDs.

GET
/v1/store/categories/by-slug/{slug}

Path Parameters

slug*string

Response Body

application/json

curl -X GET "https://loading/v1/store/categories/by-slug/string"
{
  "ancestors": [
    {
      "id": null,
      "name": null,
      "slug": null
    }
  ],
  "children": [
    {
      "ancestors": [
        {
          "id": null,
          "name": null,
          "slug": null
        }
      ],
      "children": [],
      "description": "string",
      "id": "string",
      "image": "string",
      "level": 0,
      "name": "string",
      "parentId": "string",
      "productCount": 0,
      "seo": {
        "metaDescription": "string",
        "metaTitle": "string",
        "ogImage": "string"
      },
      "slug": "string"
    }
  ],
  "description": "string",
  "id": "string",
  "image": "string",
  "level": 0,
  "name": "string",
  "parentId": "string",
  "productCount": 0,
  "seo": {
    "metaDescription": "string",
    "metaTitle": "string",
    "ogImage": "string"
  },
  "slug": "string"
}